# Generated by Django 2.2.3 on 2019-08-10 12:44

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('user', '0003_auto_20190729_1245'),
    ]

    operations = [
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('post_text', models.TextField()),
                ('post_picture', models.ImageField(blank=True, null=True, upload_to='post_pictures/')),
                ('profile', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='posts', to='user.Profile')),
            ],
            options={
                'ordering': ('-created', 'id'),
            },
        ),
        migrations.CreateModel(
            name='Like',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('liker_profile', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='user_likes', to='user.Profile')),
                ('post', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='likes', to='social_network.Post')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
